> For the complete documentation index, see [llms.txt](https://docs.flashstake.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flashstake.io/smart-contracts/flashstake-protocol/events.md).

# Events

#### Strategy Registered

```
event StrategyRegistered(
    address indexed _strategyAddress,
    address indexed _principalTokenAddress,
    address indexed _fTokenAddress
);
```

* **\_strategyAddress**: address of the newly registered strategy.
* **\_principalTokenAddress**: address of the newly registered strategy’s principal token.
* **\_fTokenAddress**: address of the newly registered strategy’s fToken.

#### Staked

```
event Staked(uint256 _stakeId);
```

* **\_stakeId**: ID of the newly created stake.

#### Unstaked

```
event Unstaked(uint256 _stakeId, uint256 _tokensReturned, uint256 _fTokensBurned, bool _stakeFinished);
```

* **\_stakeId**: ID of the stake from which funds were unstaked.
* **\_tokensReturned**: amount of principal tokens withdrawn from stake.
* **\_fTokensBurned**: amount of fTokens burned to perform the unstake.
* **\_stakeFinished**: true if all staked tokens were removed from stake, false otherwise.

#### NFT Issued

```
event NFTIssued(uint256 _stakeId, uint256 nftId);
```

* **\_stakeId**: ID of the stake.
* **nftId**: ID of the newly minted NFT.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flashstake.io/smart-contracts/flashstake-protocol/events.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
